Summary:	Remote Replication Agent Connection protocol library
Summary(pl.UTF-8):	RRA - aplikacja SynCE do synchronizacji
Name:		synce-rra
Version:	0.17
Release:	3
License:	MIT
Group:		Libraries
Source0:	http://downloads.sourceforge.net/synce/librra-%{version}.tar.gz
# Source0-md5:	d0c869afbce4d203c85098a2886b6956
Patch0:		%{name}-libmimedir.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.4
BuildRequires:	libmimedir-vlm-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-Pyrex >= 0.9.6
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpmbuild(macros) >= 1.559
BuildRequires:	synce-core-lib-devel >= 0.17
Requires:	synce-core-lib >= 0.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SynCE is a project for connecting to devices running Windows CE or
Pocket PC.

RRA implements the Remote Replication Agent Connection protocol for
synchronising objects between a Windows CE device and other computer.

%description -l pl.UTF-8
SynCE to projekt mający na celu łączenie z urządzeniami działającymi
pod kontrolą systemu Windows CE lub Pocket PC.

RRA to implementacja protokołu Remote Replication Agent Connection do
synchronizacji obiektów między urządzeniem Windows CE a innym
komputerem.

%package devel
Summary:	Header files for RRA library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki RRA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmimedir-vlm-devel
Requires:	synce-core-lib-devel >= 0.17

%description devel
Header files for RRA library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki RRA.

%package static
Summary:	Static RRA library
Summary(pl.UTF-8):	Statyczna biblioteka RRA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static RRA library.

%description static -l pl.UTF-8
Statyczna biblioteka RRA.

%package -n python-pyrra
Summary:	Python binding for RRA library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki RRA
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-pyrra
Python binding for RRA library.

%description -n python-pyrra -l pl.UTF-8
Wiązanie Pythona do biblioteki RRA.

%prep
%setup -q -n librra-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/pyrra.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README TODO
%attr(755,root,root) %{_bindir}/synce-matchmaker
%attr(755,root,root) %{_bindir}/rra-appointment-from-vevent
%attr(755,root,root) %{_bindir}/rra-appointment-to-vevent
%attr(755,root,root) %{_bindir}/rra-contact-from-vcard
%attr(755,root,root) %{_bindir}/rra-contact-to-vcard
%attr(755,root,root) %{_bindir}/rra-decode
%attr(755,root,root) %{_bindir}/rra-delete
%attr(755,root,root) %{_bindir}/rra-file-pack
%attr(755,root,root) %{_bindir}/rra-file-unpack
%attr(755,root,root) %{_bindir}/rra-get-data
%attr(755,root,root) %{_bindir}/rra-get-ids
%attr(755,root,root) %{_bindir}/rra-get-recurring-appointments
%attr(755,root,root) %{_bindir}/rra-get-types
%attr(755,root,root) %{_bindir}/rra-put-data
%attr(755,root,root) %{_bindir}/rra-subscribe
%attr(755,root,root) %{_bindir}/rra-task-from-vtodo
%attr(755,root,root) %{_bindir}/rra-task-to-vtodo
%attr(755,root,root) %{_bindir}/rra-timezone
%attr(755,root,root) %{_libdir}/librra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librra.so.0
%{_mandir}/man1/rra-appointment-from-vevent.1*
%{_mandir}/man1/rra-appointment-to-vevent.1*
%{_mandir}/man1/rra-contact-from-vcard.1*
%{_mandir}/man1/rra-contact-to-vcard.1*
%{_mandir}/man1/rra-decode.1*
%{_mandir}/man1/rra-delete.1*
%{_mandir}/man1/rra-file-pack.1*
%{_mandir}/man1/rra-file-unpack.1*
%{_mandir}/man1/rra-get-data.1*
%{_mandir}/man1/rra-get-ids.1*
%{_mandir}/man1/rra-get-recurring-appointments.1*
%{_mandir}/man1/rra-get-types.1*
%{_mandir}/man1/rra-put-data.1*
%{_mandir}/man1/rra-subscribe.1*
%{_mandir}/man1/rra-task-from-vtodo.1*
%{_mandir}/man1/rra-task-to-vtodo.1*
%{_mandir}/man1/rra-timezone.1*
%{_mandir}/man1/synce-matchmaker.1*

%files devel
%defattr(644,root,root,755)
%doc lib/README
%attr(755,root,root) %{_libdir}/librra.so
%{_libdir}/librra.la
%{_includedir}/rra
%{_pkgconfigdir}/librra.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librra.a

%files -n python-pyrra
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/pyrra.so
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/synce-rra.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a88143e
- release 3 (by relup.sh)

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> 6a625ba
- release 2 (by relup.sh)

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 7a12b01
- updated to 0.17

* Mon Jan 05 2015 Jan Rękorajski <baggins@pld-linux.org> d706844
- release 5 (by relup.sh)

* Wed May 16 2012 Elan Ruusamäe <glen@pld-linux.org> 37d70c9
- release 4

* Wed Feb 23 2011 Elan Ruusamäe <glen@pld-linux.org> 7b81be1
- %requires_ge_to

* Mon Aug 16 2010 Elan Ruusamäe <glen@pld-linux.org> 4d920df
- release 2

* Tue Jun 15 2010 arvenil <arvenil@pld-linux.org> ef15d83
- up to 0.14

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c6e013c
- release 3

* Sat Oct 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> a5e8f36
- release 2

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> 5c2365f
- 0.12

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> 494dc4a
- rel 2

* Fri May 16 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> b68d8c9
- up to 0.11.1

* Sun Jan 27 2008 Elan Ruusamäe <glen@pld-linux.org> cd06ca0
- use version macro

* Sun Jan 27 2008 Elan Ruusamäe <glen@pld-linux.org> 59a8929
- update to 0.11

* Sun Jan 27 2008 Elan Ruusamäe <glen@pld-linux.org> b865b28
- workaround --as-needed error
- package ghost ldconfig symlink
- rel 3

* Tue Dec 18 2007 Elan Ruusamäe <glen@pld-linux.org> 41a0b5b
- rel 2

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> d99b546
- more descriptive descriptions from http://www.freshports.org/palm/synce-rra/

* Sun Nov 11 2007 Elan Ruusamäe <glen@pld-linux.org> 8c2970d
- rel 1

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 57024ed
- added python-pyrra

